test content
What is the Arc Client?
Install Arc

*New* Video card issue

xin51xin51 Member Posts: 7 Arc User
I was playing my game this morning and it worked fine until I was switching characters. After I restarted the game it popped up with an error message:
"Support for the Video Card you are using has ended. You will be unable to play using this Video Card. Please upgrade your Video Card to one that supports DirectX Hardware Feature Level 10.0 or higher. See your video Card manufacturer's documentation for information on DirectX Hardware Feature Level support."

The option to even play the game has been removed. Currently I am running n NVIDA GeForce GTX 1660 with the latest drivers and have never had an issue before this one. Any idea why this suddenly popped up?

Comments

  • nic1985nic1985 Member, NW M9 Playtest Posts: 401 Arc User
    Make sure you are playing the game not "force patch" every time you load into zone/instances.

    Are you playing a game through Steam/Arc/Epic? I suggest switching to launching the game from Neverwinter.exe in your game folder.

    Also at the launch screen try playing the game in Safe Mode/Windowed (options above the screen bar), sometime this help with issues of graphics/error.

    I used to have the graphics/directX messages but they would still let me play but at lowered graphics in game.
  • samerikersameriker Member Posts: 169 Arc User
    The launchers have nothing to do with this, the client pulls that information from the Direct X. Make sure the drivers are installed by running dxdiag.exe . On the "Display" tab there is a window box on the right hand side. It should say Direct3D and a version number. For mine it says version 12.

    If you don't have the drivers installed you are probably running generic VGA drivers.
    Fame is a vapor, popularity an accident; the only earthly certainty is oblivion. ~ Mark Twain
  • plasmatic#1433 plasmatic Member Posts: 1 New User
    New member here; I can't create a new post so I will jump on this one if that's ok. I just installed NW and my display driver is indeed DX12 compatible, but I still get the "Support for the Video Card you are using has ended" message. Can I bypass this somehow and convince NW to run anyway? I am using Intel HD Graphics 530. Thank you.
Sign In or Register to comment.